__PCI_REGISTER_DRI(9)

NAME
__pci_register_driver - register a new pci driver

SYNOPSIS

int __pci_register_driver (struct pci_driver * drv, struct module * owner);

ARGUMENTS

drv the driver structure to register

owner
    owner module of drv

DESCRIPTION

Adds the driver structure to the list of registered drivers. Returns a negative value on error, otherwise 0. If no error occurred, the driver remains registered even if no device was claimed during registration.